worker_processes 1;
error_log __ROOT__/error.log;
pid __ROOT__/server.pid;
daemon off;
 

events {
    worker_connections 4096;
}

 
http {
    include __ROOT__/mime.types;

    perl_modules __ROOT__/lib/perl;
    include __ROOT__/perl_requirements.d/*;
    
    default_type application/octet-stream;
    log_format main '$remote_addr - $remote_user [$time_local] $status '
        '"$request" $body_bytes_sent "$http_referer" '
        '"$http_user_agent" "$http_x_forwarded_for"';
    sendfile on;
    tcp_nopush on;
    autoindex on;

    server {
        root __ROOT__/html;
        index index.html;

        listen __HTTP_PORT__;
        server_name localhost;
        access_log __ROOT__/access.log main;

        include __ROOT__/perl_locations.d/*;

        location ~ ^/cgi-bin/.*\.cgi$ {
            gzip off;
            fastcgi_pass  unix:__ROOT__/nginx-cgiwrap-dispatch.sock;
            fastcgi_index index.cgi;
            fastcgi_param SCRIPT_FILENAME __ROOT__/html$fastcgi_script_name;
            fastcgi_param QUERY_STRING $query_string;
            fastcgi_param REQUEST_METHOD $request_method;
            fastcgi_param CONTENT_TYPE $content_type;
            fastcgi_param CONTENT_LENGTH $content_length;
            fastcgi_param GATEWAY_INTERFACE CGI/1.1;
            fastcgi_param SERVER_SOFTWARE nginx;
            fastcgi_param SCRIPT_NAME $fastcgi_script_name;
            fastcgi_param REQUEST_URI $request_uri;
            fastcgi_param DOCUMENT_URI $document_uri;
            fastcgi_param DOCUMENT_ROOT $document_root;
            fastcgi_param SERVER_PROTOCOL $server_protocol;
            fastcgi_param REMOTE_ADDR $remote_addr;
            fastcgi_param REMOTE_PORT $remote_port;
            fastcgi_param SERVER_ADDR $server_addr;
            fastcgi_param SERVER_PORT $server_port;
            fastcgi_param SERVER_NAME $server_name;
        }
    }

}


# vim:filetype=nginx
